﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="FileBrowser.ascx.cs" Inherits="Admin_Components_FileBrowser" %>
<%@ Import Namespace="System.IO" %>
<asp:Label ID="lblMessage" runat="server" CssClass="vs-message" Visible="false" />
<div class="vs-file-browser">
<asp:Repeater ID="repeater" runat="server">
<HeaderTemplate>
</HeaderTemplate>
<ItemTemplate>
   <div class="vs-file-item">
   <asp:CheckBox ID="chkImage" runat="server" ToolTip='<%# Eval("Name") %>' />
   <a href="<%# GetImagePath((FileInfo)Container.DataItem) %>" target="_blank"><asp:Image ID="imgThumbnail" runat="server" ImageUrl="<%# GetImageUrl((FileInfo)Container.DataItem) %>" Width="75" Height="75" AlternateText='<%# Eval("Name") %>'/></a> 
   <span class="vs-file-name"><%# GetImageName((FileInfo)Container.DataItem) %></span> 
  </div> 
</ItemTemplate>
<FooterTemplate>
<div style="clear:both;" ><br /></div>
</FooterTemplate>
</asp:Repeater>
</div>
<br />
<p>
<asp:LinkButton ID="buttonDelete" runat="server" CssClass="vs-button" Text="<%$ Localise: btnDeleteSelectedFiles %>" OnClick="DeleteSelectedFiles" OnClientClick="return confirm(msgConfirmFileDelete.title)"/>
<asp:LinkButton ID="addToPost" runat="server" CssClass="vs-button" Text="<%$ Localise: btnAddFilesToPost %>" OnClick="AddSelectedFiles" OnClientClick="return addFilesToPost()"/>
<script type="text/javascript">
function addFilesToPost() {
    <% if (String.IsNullOrEmpty(Page.MasterPageFile)) { %>
    if (window.parent.TINY) {
        // Find Input tags
        var inputTags = document.getElementsByTagName("input");
        var imageCount = 0;
        for (var i=0; i < inputTags.length; i++) 
        {
            // Find checked images
            if (inputTags.item(i).type == "checkbox" && inputTags.item(i).checked)
            {
                // Alternate right and left align
                imageCount++;
                var style = "float: right; margin: 0px 0px 20px 20px;";
                if (imageCount % 2 == 0)
                    style = "float: left; margin: 0px 20px 20px 0px;";
                // Use TinyMCE API to add image to body HTML
                var image = '<img src="<%= ResolveUrl(VisualSite.Constants.FILE_FOLDER) %>' + inputTags.item(i).parentNode.title + '" style="' + style + '" />';
                if (window.parent.tinymce) {
                    var content = window.parent.tinymce.EditorManager.activeEditor.getContent();
                    window.parent.tinymce.EditorManager.activeEditor.setContent(image + content);
                } 
            }
        }
        // Hide Popup
        window.parent.TINY.box.hide();          
        return false;
    }
    <% } %>
    return true;
}
</script>
</p>
<span id="msgConfirmFileDelete" title="<%= VisualSite.Utils.Localise("msgConfirmFileDelete") %>" style="display:none"></span> 
