<%@ Page Language="C#" MasterPageFile="~/Templates/Basic/Basic.master" AutoEventWireup="true" EnableViewState="true" CodeFile="Menu.aspx.cs" Inherits="Admin_Menu" %>
<%@ Register src="~/Components/Menu.ascx" tagname="Menu" tagprefix="VisualSite" %>
<asp:Content ID="adminMenu" ContentPlaceHolderID="Content" Runat="Server">
    <link href="Styles/Admin.css" rel="stylesheet" type="text/css" /> 
    <asp:Label ID="lblMessage" CssClass="vs-message" runat="server" Visible="false" />
    <div class="vs-section-header"><%= VisualSite.Utils.PageTitle %></div>
    <% if (TreeMode)
       { %>
        <div class="vs-section-menu"><asp:LinkButton ID="saveButton" runat="server" CssClass="vs-button vs-float-left" Text="<%$ Localise : btnSaveChanges %>" OnClick="SaveTree" OnClientClick="return saveMenu()" /><a href="Menu.aspx?mode=List" class="vs-button vs-float-right"><%= VisualSite.Utils.Localise("btnViewAsList") %></a></div>
        <div class="vs-section">
        <script type="text/javascript" src="<%= ResolveUrl("~/Js/dhtml-goodies/1.menu.js") %>"></script>      
        <script type="text/javascript" src="<%= ResolveUrl("~/Js/dhtml-goodies/2.tree.js") %>"></script>
        <script type="text/javascript">
            window.onload = function() {
                try {
                    // Build the drag and drop tree when page completes loading
                    treeObj = new JSDragDropTree();
                    treeObj.setTreeId('rootNode');
                    treeObj.setMaximumDepth(5);
                    treeObj.initTree();
                    treeObj.collapseAll();
                    treeObj.expandAll();
                } catch (ex) { warnUser(ex); }
            };
            function warnUser(ex) {
                menuDiv = document.getElementById('vs-menu-div');
                saveButton = document.getElementById('save-button');
                if (menuDiv)
                    menuDiv.innerHTML = '<p class="vs-message"> "View as Tree" does not seem to be working, try "View As List".</p>';
                if (saveButton)
                    saveButton.style.display = "none";
            }
            function hideChildren(obj) {
                if (obj) {
                    var inputs = obj.parentNode.parentNode.getElementsByTagName("input");
                    for (var i = 0; i < inputs.length; i++) {
                        if (inputs[i].name == "hide") {
                            inputs[i].checked = (obj.checked);
                        }
                    }
                }
            }
            function showRedirect(obj) {
                if (obj) {
                    var inputs = obj.parentNode.getElementsByTagName("input");
                    for (var i = 0; i < inputs.length; i++) {
                        if (inputs[i].type.toLowerCase() == "text") {
                            inputs[i].style.display = (obj.checked) ? "" : "none";
                            inputs[i].value = "";
                        }
                    }
                }
            }
            function saveMenu() {
                //alert("saving menu");
                saveMenuField = document.getElementById("xmlNodeTree");
                menuRootNode = document.getElementById("rootNode");
                //alert(menuRootNode.innerHTML);
                if (saveMenuField && menuRootNode) {
                    try {
                        saveMenuField.value = '';
                        buildMap(menuRootNode);
                        //alert("DONE!" + saveMenuField.value);
                        return true;
                    } catch (ex) {warnUser(ex); }
                }
            }
            function buildMap(parentNode) {
                var displayOrder = 0;
                for (var n = 0; n < parentNode.childNodes.length; n++) {
                    node = parentNode.childNodes.item(n);
                    if (node && node.nodeName) {
                        //alert(node.nodeName);
                        if (node.nodeName.toLowerCase() == "ul" && node.hasChildNodes)
                            buildMap(node);
                        if (node.nodeName.toLowerCase() == "li") {
                            displayOrder++;
                            var inputTags = node.getElementsByTagName("INPUT");
                            var nodeDisplay = true;
                            var nodeRedirect = "";
                            if (inputTags) {
                                // Find Display
                                for (var i = 0; i < inputTags.length; i++) {
                                    if (inputTags[i].name && inputTags[i].name == "hide") {
                                        nodeDisplay = !(inputTags[i].checked);
                                        break;
                                    }
                                }
                                // Find Redirect
                                for (var i = 0; i < inputTags.length; i++) {
                                    if (inputTags[i].name && inputTags[i].name == "redirect") {
                                        //alert("found redirect " + inputTags[i].value);
                                        nodeRedirect = inputTags[i].value;
                                        break;
                                    }
                                }
                            }
                            // Escape/Unescape XML characters
                            var escapedTitle = node.title.replace(/&apos;/g, "'").replace(/&/g, '&amp;').replace(/"/g, '&quot;');
                            saveMenuField.value += '<node id="' + node.id.replace('node', '') + '" title="' + escapedTitle + '" display="' + nodeDisplay + '" redirect="' + nodeRedirect + '" displayOrder="' + (n + 1) + '">';
                            if (node.hasChildNodes) {
                                //alert("children found, calling buildmap");
                                buildMap(node);
                            }
                            saveMenuField.value += '</node>';
                        }
                    }
                }
            }
        </script>
        <%= VisualSite.Utils.Localise("msgMenuInstructions") %>
        <div id="vs-menu-div" class="vs-menu-div">
        <%= RenderMenu(SiteMap.RootNode) %>
        </div>
        <input id="xmlNodeTree" type="hidden" name="xmlNodeTree">
        </div>
   <% } else { %>
    <div class="vs-section-menu"><a href="Menu.aspx?mode=Tree" class="vs-button float-right"><%= VisualSite.Utils.Localise("btnViewAsTree") %></a></div>
    <div class="vs-section">
    <asp:GridView ID="grid" runat="server" CssClass="vs-grid" DataSourceID="srcPage" AutoGenerateColumns="False"
     DataKeyNames="ID" UseAccessibleHeader="true" OnRowUpdated="RefreshMenu" OnRowUpdating="OnRowUpdating"> 
        <Columns>
            <asp:BoundField DataField="ID" HeaderText="ID" ItemStyle-Width="30" ReadOnly="true" /> 
            <asp:BoundField DataField="Title" HeaderText="<%$ Localise: lblTitle %>" ControlStyle-Width="120" ItemStyle-Width="120" />
            <asp:BoundField DataField="ParentID" HeaderText="<%$ Localise: lblParentID %>" ControlStyle-Width="40" ItemStyle-Width="40" /> 
            <asp:BoundField DataField="RedirectUrl" HeaderText="<%$ Localise: lblRedirectUrl %>" ControlStyle-Width="200" ItemStyle-Width="200" /> 
             <asp:CheckBoxField DataField="Display" HeaderText="<%$ Localise: lblDisplay %>" ControlStyle-Width="40" ItemStyle-Width="40" />  
             <asp:BoundField DataField="DisplayOrder" HeaderText="<%$ Localise: lblOrder %>" ControlStyle-Width="40" ItemStyle-Width="40" /> 
            <asp:TemplateField>
                <HeaderTemplate>
                     <asp:LinkButton ID="buttonRefresh" CssClass="vs-button" runat="server" Text="<%$ Localise: btnRefresh %>" OnClick="Refresh" /> 
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:LinkButton ID="btnEdit" CssClass="vs-button" runat="server" Text="<%$ Localise: btnEdit %>" CommandName="Edit" />
                </ItemTemplate>
               <EditItemTemplate>
                    <asp:LinkButton ID="btnUpdate" CssClass="vs-button" runat="server" Text="<%$ Localise: btnSave %>" CommandName="Update" />
                    <asp:LinkButton ID="btnCancel" CssClass="vs-button" runat="server" Text="<%$ Localise: btnCancel %>" CommandName="Cancel" />
               </EditItemTemplate> 
            </asp:TemplateField> 
        </Columns> 
      </asp:GridView>
    <asp:ObjectDataSource ID="srcPage" runat="server" TypeName="VisualSite.DAL" 
    SelectMethod="GetPages" UpdateMethod="UpdatePage"
        OnUpdated="OnUpdated">
        <UpdateParameters>
            <asp:Parameter Name="ID" Type="Int32" /> 
            <asp:Parameter Name="Title" Type="String" />
            <asp:Parameter Name="ParentID" Type="Int32" />
            <asp:Parameter Name="RedirectUrl" Type="String" />
            <asp:Parameter Name="Display" Type="Boolean" />
            <asp:Parameter Name="DisplayOrder" Type="Int32" />
        </UpdateParameters>
    </asp:ObjectDataSource>
    </div>
    <% } %>
</asp:Content>

