﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VisualSite;

public partial class Admin_Templates : System.Web.UI.Page
{
    protected void Page_PreInit(object sender, EventArgs e)
    {
        if (Utils.TemplateFile != String.Empty)
            Page.MasterPageFile = Utils.TemplateFile;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        // Populate Templates
        DirectoryInfo templateDir = new DirectoryInfo(Server.MapPath(Constants.TEMPLATE_FOLDER));
        List<FileInfo> templateList = new List<FileInfo>();
        if (templateDir.GetDirectories().Length > 0)
        {
            foreach (DirectoryInfo template in templateDir.GetDirectories())
            {
                if (template.GetFiles(template.Name + ".master").Length == 1)
                {
                    templateList.Add(template.GetFiles(template.Name + ".master")[0]);
                }
            }
        }
        else
        {
            // Use default. Enter blank.
        }
        listTemplates.DataSource = templateList;
        listTemplates.DataBind();
    }

    protected void SaveForm(object sender, EventArgs e)
    {
        try
        {
            // Update template
            string templateName = Request.Form["templateName"];
            if (!String.IsNullOrEmpty(templateName))
                DAL.UpdateSetting("SiteTemplate", String.Format(Constants.TEMPLATE_FOLDER + @"{0}/{0}.master", templateName.Replace(".master", "")));
            // Clear cache and reload
            Utils.ClearCache();
            Response.Redirect(Request.Path);
        }
        catch (Exception ex)
        {
            // Output error message
            lblMessage.Text = Utils.Localise("msgUpdateError") + " " + ex.Message;
            lblMessage.Visible = true;
        }
    }

}
