﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Templates/Basic/Basic.master" AutoEventWireup="true" CodeFile="Users.aspx.cs" Inherits="Admin_User" %>
<asp:Content ID="siteAdmin" ContentPlaceHolderID="Content" Runat="Server">
    <link href="Styles/Admin.css" rel="stylesheet" type="text/css" /> 
    <asp:Label ID="lblMessage" CssClass="vs-message" runat="server" Visible="false"/> 
    <div class="vs-section-header"><%= VisualSite.Utils.PageTitle %></div>
    <div class="vs-section">
    <asp:GridView ID="grid" CssClass="vs-grid" runat="server" AutoGenerateColumns="False" 
        DataKeyNames="ID" DataSourceID="srcUsers" ShowFooter="false">
        <Columns>
        <asp:TemplateField HeaderText="Username" ItemStyle-Width="150">
            <ItemTemplate>
                <%# Eval("Username") %>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtUser" runat="server" Text='<%# Bind("Username") %>' />
            </EditItemTemplate>
            <FooterTemplate>
                <input id="txtUsername" name="txtUsername" type="text" />
            </FooterTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Password" ItemStyle-Width="150">
            <ItemTemplate>
                **********
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtPassword" runat="server" Text='<%# Bind("Password") %>' />
            </EditItemTemplate>
            <FooterTemplate>
                <input id="txtPassword" name="txtPassword" type="text" />
            </FooterTemplate>
        </asp:TemplateField>
        <asp:TemplateField>
            <ItemTemplate>
                <% if (VisualSite.Utils.UserIsAdmin) { %>
                <asp:LinkButton ID="butEdit" runat="server" CommandName="Edit" Text="<%$ Localise: btnEdit %>" CssClass="vs-button" />
                <asp:LinkButton ID="butDelete" runat="server" CommandName="Delete" Text="<%$ Localise: btnDelete %>" CssClass="vs-button"/>
                <% } %>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:LinkButton ID="butSave" runat="server" CommandName="Update" Text="<%$ Localise: btnSave %>" CssClass="vs-button"/>
                <asp:LinkButton ID="butCancel" runat="server" CommandName="Cancel" Text="<%$ Localise: btnCancel %>" CssClass="vs-button"/>
            </EditItemTemplate>
            <FooterTemplate>
                <asp:LinkButton ID="butInsert" runat="server" Text="<%$ Localise: btnInsert %>" OnClick="Insert" CssClass="vs-button"/>
                <asp:LinkButton ID="butCancel" runat="server" Text="<%$ Localise: btnCancel %>" OnClick="Cancel" CssClass="vs-button"/>
            </FooterTemplate>
        </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <asp:ObjectDataSource ID="srcUsers" runat="server" TypeName="VisualSite.DAL" 
    SelectMethod="GetUsers" UpdateMethod="UpdateUser" InsertMethod="InsertUser" DeleteMethod="DeleteUser" 
    OnUpdated="HandleException" OnInserted="HandleException" OnDeleted="HandleException">
        <DeleteParameters>
            <asp:Parameter Name="ID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Username" Type="String" />
            <asp:Parameter Name="Password" Type="String" />
            <asp:Parameter Name="ID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:FormParameter Name="Username" Type="String" FormField="txtUsername" />
            <asp:FormParameter Name="Password" Type="String" FormField="txtPassword" />
        </InsertParameters>
    </asp:ObjectDataSource>
    <% if (VisualSite.Utils.UserIsAdmin)
       { %>
   <p style="margin-top: 10px;"><asp:LinkButton ID="butAdd" runat="server" Text="<%$ Localise: btnNewUser %>" CssClass="vs-button" 
           onclick="butAdd_Click" ></asp:LinkButton></p>
           <% } %>
   </div>
</asp:Content>

