﻿using System;

namespace VisualSite
{
    /// <summary>
    /// Constant values used throughout the 
    /// application
    /// </summary>
    public class Constants
    {
        public const string ID_KEY = "id";

        public const string RAW_URL = @"~/Default.aspx?" + ID_KEY + "={0}";

        public const string FRIENDLY_URL = @"~/{0}.aspx";

        public const string PREVIEW_URL = @"~/Preview.aspx?" + ID_KEY + "={0}";

        public const string ADMIN_FOLDER = @"~/Admin/";

        public const string INSTALL_FOLDER = @"~/Install/";

        public const string FILE_FOLDER = @"~/Files/";

        public const string TEMPLATE_FOLDER = @"~/Templates/";

        public const string SEARCH_URL = @"~/SearchResults.aspx";

        public const string SEARCH_QUERY = @"~/SearchResults.aspx?q={0}";

        public const string GENERIC_FILE_IMAGE = @"~/Admin/Styles/Images/iconGenericFile.gif";

        public const string DEFAULT_ENVIRONMENT = "VisualSite";

        public const string DATE_FORMAT = "ddd, dd MMM yyyy";

        public const string DATE_NEUTRAL_FORMAT = "yyyy-MM-dd HH:mm";

        public const string DATE_UTC_FORMAT = "yyyy-MM-ddTHH:mm:ssZ";

        public const string DEFAULT_LOCALE = "en-GB";

        public const string APP_VERSION = "1.2";

        public const long MAX_DB_SIZE = 5000000; // 5 MB

        public const long MAX_UPLOAD_SIZE = 5000000; // 5 MB

        public const int IMG_WIDTH_1 = 180;

        public const int IMG_WIDTH_2 = 270;

        public const int IMG_WIDTH_3 = 550;

        public const int SEARCH_RESULT_PAGE_SIZE = 10;

    }
}
