using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using VisualSite;

public partial class Controls_AdminMenu : System.Web.UI.UserControl
{
    protected DirectoryInfo adminFolder;

    protected void Page_Init(object sender, EventArgs e)
    {
        adminFolder = new DirectoryInfo(Server.MapPath(Constants.ADMIN_FOLDER));
        if (Utils.IsUserAuthenticated)
        {
            //btnNew.Visible = true;
            this.Visible = true;
        }
        else
        {
            this.Visible = false;
        }
    }

    protected void LogOff(object sender, EventArgs e)
    {
        FormsAuthentication.SignOut();
        Utils.GoHome();
    }

    protected string GetAdminMenuText(string fileNameWithoutExtension)
    {
        string result = Utils.Localise("nav" + fileNameWithoutExtension);
        // Cant find localised title, add a warning sign
        if (String.IsNullOrEmpty(result)) result = fileNameWithoutExtension + " (!)";
        return result;
    }
}
