<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Content.ascx.cs" Inherits="Controls_Content" %>
<link href="Admin/Styles/Admin.css" rel="stylesheet" type="text/css" /> 
<asp:Label ID="lblMessage" runat="server" CssClass="vs-message" Visible="false" />
<asp:ValidationSummary ID="validSummary" runat="server" ShowMessageBox="true" ShowSummary="false" Visible="false" />
<asp:FormView ID="frmPage" runat="server" DataSourceID="srcPage" DataKeyNames="id" 
      OnItemUpdated="HandleException" OnItemInserted="HandleException" OnItemDeleted="HandleException"
      OnDataBound="FormBound" Visible="false" Width="100%">
    <ItemTemplate>
      <%# Eval("Body") %> 
      <asp:Panel ID="mnuBar" runat="server" CssClass="vs-menubar" Visible="true"> 
        <asp:LinkButton ID="btnEdit" CssClass="vs-button" runat="server" Text="<%$ Localise: btnEditPage %>" CommandName="Edit" />
        <asp:LinkButton ID="btnDelete" CssClass="vs-button" runat="server" Text="<%$ Localise: btnDeletePage %>" OnClientClick="return confirm(msgConfirmPageDelete.title) " CommandName="Delete" Visible="false" />
      </asp:Panel>
    </ItemTemplate>
   <EditItemTemplate>
        <script type="text/javascript" src="<%= ResolveUrl("~/Js/tinybox/tinybox.js") %>"></script>
        <!-- TinyMCE -->
        <script type="text/javascript" src="<%= ResolveUrl("~/Js/tinymce/tiny_mce.js") %>"></script>
        <script type="text/javascript">
            tinyMCE.init({
                // General options
                mode: "textareas",
                theme: "advanced",
                plugins: "safari,pagebreak,style,layer,table,advhr,advimage,advlink,insertdatetime,media,searchreplace,contextmenu,paste,noneditable,nonbreaking,xhtmlxtras,template,inlinepopups",
                skin: "o2k7",
                skin_variant: "silver",

                // Theme options
                theme_advanced_buttons1: "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,fontsizeselect,|,forecolor",
                theme_advanced_buttons2: "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,sub,sup,|,link,unlink,anchor,image",
                theme_advanced_buttons3: "tablecontrols,|,charmap,advhr,|,nonbreaking,pagebreak,|,removeformat,cleanup,code",
                theme_advanced_toolbar_location: "top",
                theme_advanced_toolbar_align: "left",
                theme_advanced_statusbar_location: "bottom",
                theme_advanced_resizing: true,

                // Example word content CSS (should be your site CSS) this one removes paragraph margins
                content_css: "css/word.css",

                // Drop lists for link/image/media/template dialogs
                template_external_list_url: "lists/template_list.js",
                external_link_list_url: "lists/link_list.js",
                external_image_list_url: "lists/image_list.js",
                media_external_list_url: "lists/media_list.js",

                // Replace values for the template plugin
                template_replace_values: {
                    username: "Some User",
                    staffid: "991234"
                }
            });
        </script>
        <!-- /TinyMCE -->
       <table border="0" cellpadding="0" cellspacing="0" class="edit-wrap">
       <tr><td style="width:290px;">
          <p>
           <%= VisualSite.Utils.Localise("lblPageName")%> 
           <br />
           <asp:TextBox ID="txtTitle" CssClass="vs-width250" runat="server" MaxLength="50" Text='<%# Bind("Title") %>' />
           <asp:RequiredFieldValidator ID="validTitle" runat="server" ControlToValidate="txtTitle" ErrorMessage="<%$ Localise: lblRequiredPageTitleError %>" />
          </p>
        </td><td style="width:210px;">   
          <p>
           <%= VisualSite.Utils.Localise("lblMoveUnder")%> 
           <br />
           <asp:DropDownList ID="listParent" AppendDataBoundItems="true" CssClass="dropdown" runat="server" DataSourceID="srcParent" DataTextField="Title" DataValueField="ID" SelectedValue='<%# Bind("ParentID") %>'>
                <asp:ListItem Text="" Value="0" />
           </asp:DropDownList>
          <asp:ObjectDataSource ID="srcParent" runat="server" TypeName="VisualSite.DAL" SelectMethod="GetMenuItemsIncludingParent">
                <SelectParameters>
                     <asp:QueryStringParameter Name="CurrentPageID" QueryStringField="ID" Type="Int32" DefaultValue="-1" />
                </SelectParameters> 
           </asp:ObjectDataSource>
           </p>    
        </td></tr>
       <tr><td style="width:290px;">
           <p>
           <%= VisualSite.Utils.Localise("lblPageDescription")%> 
           <br />
           <asp:TextBox ID="txtDescription" CssClass="vs-width250" runat="server" MaxLength="50" Text='<%# Bind("Description") %>' />
           </p>
        </td><td style="width:210px;"> 
           <div><%= VisualSite.Utils.Localise("lblAddMedia")%></div>
           <div class="vs-add-image" title="Add Image" onclick="TINY.box.show('Admin/Popup/FilePopup.aspx',2,800,500,1);"></div>
           <div class="vs-add-video" title="Add Video" onclick="TINY.box.show(T$('videoFrame').innerHTML,0,450,500,1);"></div> 
           <div class="vs-clear"></div>
        </td></tr>
       </table>
       <p>
       <%= VisualSite.Utils.Localise("lblPageBody")%> 
       <br />
       <asp:TextBox ID="txtBody" CssClass="vs-body" runat="server" TextMode="MultiLine" Text='<%# Bind("Body") %>' />
       </p>
      <asp:Panel ID="mnuBar" runat="server" CssClass="vs-menubar" Visible="true"> 
        <asp:LinkButton ID="btnUpdate" CssClass="vs-button" runat="server" Text="<%$ Localise: btnSave %>" CommandName="Update" />
        <asp:LinkButton ID="btnCancel" CssClass="vs-button" runat="server" Text="<%$ Localise: btnCancel %>" CommandName="Cancel" />
      </asp:Panel>
   </EditItemTemplate>
  <InsertItemTemplate>
        <h3><%= VisualSite.Utils.PageTitle %></h3>
        <script type="text/javascript" src="<%= ResolveUrl("~/Js/tinybox/tinybox.js") %>"></script>
        <!-- TinyMCE -->
        <script type="text/javascript" src="<%= ResolveUrl("~/Js/tinymce/tiny_mce.js") %>"></script>
        <script type="text/javascript">
	        tinyMCE.init({
		        // General options
		        mode : "textareas",
		        theme: "advanced",
		        plugins: "safari,pagebreak,style,layer,table,advhr,advimage,advlink,insertdatetime,media,searchreplace,contextmenu,paste,noneditable,nonbreaking,xhtmlxtras,template,inlinepopups",
		        skin: "o2k7",  
		       skin_variant : "silver",

		       // Theme options
		       theme_advanced_buttons1: "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,fontsizeselect,|,forecolor",
		       theme_advanced_buttons2: "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,sub,sup,|,link,unlink,anchor,image",
		       theme_advanced_buttons3: "tablecontrols,|,charmap,advhr,|,nonbreaking,pagebreak,|,removeformat,cleanup,code",
		       theme_advanced_toolbar_location: "top",
		        theme_advanced_toolbar_align : "left",
		        theme_advanced_statusbar_location : "bottom",
		        theme_advanced_resizing : true,

		        // Example word content CSS (should be your site CSS) this one removes paragraph margins
		        content_css : "css/word.css",

		        // Drop lists for link/image/media/template dialogs
		        template_external_list_url : "lists/template_list.js",
		        external_link_list_url : "lists/link_list.js",
		        external_image_list_url : "lists/image_list.js",
		        media_external_list_url : "lists/media_list.js",

		        // Replace values for the template plugin
		        template_replace_values : {
			        username : "Some User",
			        staffid : "991234"
		        }
	        });
        </script>
        <!-- /TinyMCE -->
       <table border="0" cellpadding="0" cellspacing="0" class="edit-wrap">
       <tr><td style="width:290px;">
          <p>
           <%= VisualSite.Utils.Localise("lblPageName")%> 
           <br />
           <asp:TextBox ID="txtTitle" CssClass="vs-width250" runat="server" MaxLength="50" Text='<%# Bind("Title") %>' />
           <asp:RequiredFieldValidator ID="validTitle" runat="server" ControlToValidate="txtTitle" ErrorMessage="<%$ Localise: lblRequiredPageTitleError %>" />
          </p>
        </td><td style="width:210px;">   
          <p>
           <%= VisualSite.Utils.Localise("lblMoveUnder")%> 
           <br />
           <asp:DropDownList ID="listParent" AppendDataBoundItems="true" CssClass="dropdown" runat="server" DataSourceID="srcParent" DataTextField="Title"  DataValueField="ID" SelectedValue='<%# Bind("ParentID") %>'>
            <asp:ListItem Text="" Value="0" />
           </asp:DropDownList>
          <asp:ObjectDataSource ID="srcParent" runat="server" TypeName="VisualSite.DAL" SelectMethod="GetMenuItems">
                <SelectParameters>
                     <asp:QueryStringParameter Name="CurrentPageID" QueryStringField="ID" Type="Int32" DefaultValue="-1" />
                </SelectParameters> 
           </asp:ObjectDataSource>
           </p>    
        </td></tr>
       <tr><td style="width:290px;">
           <p>
           <%= VisualSite.Utils.Localise("lblPageDescription")%> 
           <br />
           <asp:TextBox ID="txtDescription" CssClass="vs-width250" runat="server" MaxLength="50" Text='<%# Bind("Description") %>' />
           </p>
        </td><td style="width:210px;"> 
           <div><%= VisualSite.Utils.Localise("lblAddMedia")%></div>
           <div class="vs-add-image" title="Add Image" onclick="TINY.box.show('Admin/Popup/FilePopup.aspx',2,800,500,1);"></div>
           <div class="vs-add-video" title="Add Video" onclick="TINY.box.show(T$('videoFrame').innerHTML,0,450,500,1);"></div> 
           <div class="vs-clear"></div>
        </td></tr>
       </table>
       <p>
       <%= VisualSite.Utils.Localise("lblPageBody")%> 
       <br />
       <asp:TextBox ID="txtBody" CssClass="vs-body" runat="server" TextMode="MultiLine" Text='<%# Bind("Body") %>' />
       </p>
      <asp:Panel ID="mnuBar" runat="server" CssClass="vs-menubar" Visible="true"> 
        <asp:LinkButton ID="btnSave" CssClass="vs-button" runat="server" Text="<%$ Localise: btnCreatePage %>" CommandName="Insert" />
      </asp:Panel>
  </InsertItemTemplate> 
</asp:FormView>
<asp:ObjectDataSource ID="srcPage" runat="server" TypeName="VisualSite.DAL" 
    SelectMethod="GetPage" UpdateMethod="UpdatePage" InsertMethod="InsertPage" DeleteMethod="DeletePage" 
    OnInserted="OnInserted">
    <DeleteParameters>
        <asp:Parameter Name="id" Type="Int32" />
    </DeleteParameters>
    <UpdateParameters>
        <asp:Parameter Name="ParentID" Type="Int32" />
        <asp:Parameter Name="Title" Type="String" />
        <asp:Parameter Name="Body" Type="String" />
        <asp:Parameter Name="Description" Type="String" />
        <asp:Parameter Name="ID" Type="Int32" />
    </UpdateParameters>
    <SelectParameters>
        <asp:QueryStringParameter Name="id" QueryStringField="ID" Type="Int32" />
    </SelectParameters>
    <InsertParameters>
        <asp:Parameter Name="ParentID" Type="Int32" />
        <asp:Parameter Name="Title" Type="String" />
        <asp:Parameter Name="Body" Type="String" />
        <asp:Parameter Name="Description" Type="String" />
    </InsertParameters>
</asp:ObjectDataSource>
<span id="msgConfirmPageDelete" title="<%= GetConfirmPageDelete() %>" style="display:none"></span>
<% if (frmPage.CurrentMode != FormViewMode.ReadOnly)
   { %>
<!-- The "videoFrame" below gets executed inside a tinybox js popup, thus javascript code is a bit hard 
     to write since all objects are effectively doubled up (once in the page, once in the popup) we 
     cant find them by id so here you can see how to traverse the HTML DOM tree from the tinybox popup -->
<span id="videoFrame" style="display: none;">
    <div class="vs-popup-body" style="padding-left:20px;padding-right:20px;">
    <h4><%= VisualSite.Utils.Localise("lblAddYouTube")%> :</h4>
    <script type="text/javascript">
        function loadVideo(obj) {
            if (obj.value && T$) {
                // Find the tinybox popup <div id="tinybox" >
                var box = document.getElementById("tinybox");
                if (box) {
                    // Find all <div> tags inside it
                    var divTags = box.getElementsByTagName("div");
                    for (var i = 0; i < divTags.length; i++) {
                        // The element we are looking for is <div class="vs-video-box">
                        if (divTags.item(i).className == "vs-video-box") {
                            // Found it, load flash movie
                            var videoBox = divTags.item(i);
                            // Create pattern with 2 groups
                            var pattern = /(http:\/\/www\.youtube\.com\/watch\?v=)([\w\-]+)/;
                            matches = obj.value.match(pattern);
                            if (matches) {
                                var movieId = matches[2]; // Javascript match returns array, [0]=match, [1]=group1, [2]=group2
                                if (movieId && movieId.match(/^[\w\-]+$/)) {
                                    var movieHTML = "<span style='text-align:center; background-color:#eeeeee;'>" + 
                                                    "<object width='400' height='280'>" +            
                                                    "<param name='movie' value='http://www.youtube.com/v/[youtubeID]&#038;rel=1&#038;fs=1&#038;showsearch=0&#038;hd=0' />" +
                                                    "<param name='allowfullscreen' value='true' />" +
                                                    "<param name='wmode' value='transparent' />" + 
                                                    "<embed src='http://www.youtube.com/v/[youtubeID]&#038;rel=1&#038;fs=1&#038;showsearch=0&#038;hd=0' type='application/x-shockwave-flash' allowfullscreen='true' width='400' height='280' wmode='transparent'></embed>" +
                                                    "</object></span>";
                                    videoBox.innerHTML = movieHTML.replace(/\[youtubeID\]/g, movieId);
                                    document.getElementById("videoDiv").innerHTML = videoBox.innerHTML;
                                    obj.style.background = "#eeffee";
                                }
                            }
                            else {
                                videoBox.innerHTML = "<p><%= VisualSite.Utils.Localise("msgYouTubeLinkError")%></p>";
                                obj.style.background = "#ffcccc";
                            }
                        }
                    }
                }
            }
        }
        function addVideo() {
            // Find TinyMCE API and insert video into document
            var videoDiv = document.getElementById("videoDiv");
            if (tinymce && tinymce.EditorManager && videoDiv && TINY) {
                var currentContent = tinymce.EditorManager.activeEditor.getContent();
                tinymce.EditorManager.activeEditor.setContent(videoDiv.innerHTML + currentContent);
                TINY.box.hide();
            }
        }
    </script>
    <p><input type="text" style="width:400px;" onchange="loadVideo(this)" /></p>
    <div id="videoDiv" class="vs-video-box"><p><%= VisualSite.Utils.Localise("msgCopyPasteVideoLink")%></p></div>
    <p class="vs-right"><a href="javascript:;" class="vs-button" onclick="addVideo()">Add To Page</a><a href="javascript:;" class="vs-button" onclick="TINY.box.hide()">Cancel</a></p>
    </div>
</span>  
<% } %>