﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VisualSite;

public partial class Components_LanguageDropdown : System.Web.UI.UserControl
{
    /// <summary>
    /// Auto-Update locale on dropdown change
    /// </summary>
    public bool AutoUpdateLocale
    {
        set
        {
            if (value)
            {
                dropLanguage.AutoPostBack = value;
                dropLanguage.SelectedIndexChanged += ChangeLanguage;
            }
        }
    }

    /// <summary>
    /// Plug into dropdown CssClass 
    /// </summary>
    public string CssClass
    {
        set { dropLanguage.CssClass = value; }
    }

    /// <summary>
    /// Plug into dropdown SelectedValue
    /// </summary>
    public string SelectedValue
    {
        get { return dropLanguage.SelectedValue; }
        set { dropLanguage.SelectedValue = value; }
    }

    /// <summary>
    /// Changes the locale of the website
    /// Used during installation process
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void ChangeLanguage(object sender, EventArgs e)
    {
        if (!String.IsNullOrEmpty(dropLanguage.SelectedValue))
            // Set the locale
            Utils.Locale = dropLanguage.SelectedValue;
    }
}
