﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VisualSite;

public partial class Components_Menu : System.Web.UI.UserControl
{
    private bool _showRoot = false;
    private bool _showDescription = false;
    private bool _showAncestors = false;
    private int _showLevels = 1;

    protected void Page_Load(object sender, EventArgs e)
    {
        level0.DataSource = siteMap;
        level0.DataBind();
    }

    public bool ShowRoot
    {
        get { return _showRoot; }
        set { _showRoot = value; }
    }

    public int ShowLevels
    {
        get { return _showLevels; }
        set { _showLevels = value; }
    }

    public int Level
    {
        get { return siteMap.StartingNodeOffset; }
        set { siteMap.StartingNodeOffset = value; }
    }

    public bool ShowDescription
    {
        get { return _showDescription; }
        set {_showDescription = value; }
    }

    public bool ShowAncestors
    {
        get { return _showAncestors; }
        set { _showAncestors = value; }
    }

    protected string GetCss(SiteMapNode renderedNode)
    {
        string selected = String.Empty;
        if (renderedNode != null && SiteMap.CurrentNode != null)
            // Check to find selected node
            if (renderedNode.Key == SiteMap.CurrentNode.Key)
                selected = "selected";
            // Show ancestors if required
            else if (ShowAncestors && SiteMap.CurrentNode.ParentNode != null)
                if (renderedNode.Key == SiteMap.CurrentNode.ParentNode.Key)
                    selected = "selected-ancestor";
                else if (SiteMap.CurrentNode.ParentNode.ParentNode != null)
                    if (renderedNode.Key == SiteMap.CurrentNode.ParentNode.ParentNode.Key)
                        selected = "selected-ancestor";
                    else if (SiteMap.CurrentNode.ParentNode.ParentNode.ParentNode != null)
                        if (renderedNode.Key == SiteMap.CurrentNode.ParentNode.ParentNode.ParentNode.Key)
                            selected = "selected-ancestor";
        return selected;
    }

    protected string GetStyle(SiteMapNode renderedNode)
    {
        string display = renderedNode["display"];
        return (display.ToLower() == "false") ? "display: none;" : "";;
    }

}
