﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Install_Default" %>
<%@ Register Src="~/Components/LanguageDropdown.ascx" TagName="LanguageDropdown" TagPrefix="VisualSite" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>VisualSite Installation - Step <%= Step %></title>
    <meta http-equiv="CACHE-CONTROL" content="NO-CACHE">
    <link href="~/Admin/Styles/Admin.css" rel="stylesheet" type="text/css" /> 
    <link href="Install.css" rel="stylesheet" type="text/css" />
</head>
<body class="vs-popup-body">
    <form id="form1" runat="server">
    <h1 class="install-header">
     <%= VisualSite.Utils.Localise("lblInstallationProcess") %>
    </h1>
    <div class="install-wrap">
        <div class="install-menu">
            <ul>
                <li class="<%= (Step == 1) ? "selected" : ((Step > 1)? "completed" : "") %>"><%= VisualSite.Utils.Localise("lblInstallStep1") %></li>
                <li class="<%= (Step == 2) ? "selected" : ((Step > 2)? "completed" : "") %>"><%= VisualSite.Utils.Localise("lblInstallStep2") %></li>
                <li class="<%= (Step == 3) ? "selected" : ((Step > 3)? "completed" : "") %>"><%= VisualSite.Utils.Localise("lblInstallStep3") %></li>
                <li class="<%= (Step == 4) ? "selected" : ((Step > 4)? "completed" : "") %>"><%= VisualSite.Utils.Localise("lblInstallStep4") %></li>
                <li class="<%= (Step == 5) ? "selected" : ((Step > 5)? "completed" : "") %>"><%= VisualSite.Utils.Localise("lblInstallStep5") %></li>
                <li class="<%= (Step == 6) ? "selected" : ((Step > 6)? "completed" : "") %>"><%= VisualSite.Utils.Localise("lblInstallStep6") %></li>
            </ul>
        </div>
        <div class="install-window">
        <% switch (Step)
           {
               case 1:  %>
            <div class="vs-message"><%= VisualSite.Utils.Localise("lblInstallChooseLanguage") %></div>
            <p><%= VisualSite.Utils.Localise("msgInstallLanguageContinue") %></p>
            <p><a href="?s=2" class="vs-button"><%= VisualSite.Utils.Localise("lblInstallNextStep") %></a></p>
            <p><%= VisualSite.Utils.Localise("msgChooseLanguage")%></p>
            <div style="margin: 0px 10px">
            <div class="vs-two-column-wrap">
            <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblLanguage") %></div>
            <div class="vs-two-column-right">
            <VisualSite:LanguageDropdown ID="dropLanguage" runat="server" CssClass="vs-big-input vs-yellowback" AutoUpdateLocale="true" />
            </div>
            </div>
            <div class="vs-clear"></div>
            </div>
            <% break; 
               case 2:%>
            <%-- STEP 2 START --%>
            <% if (VisualSite.DAL.CheckRead(true))
               { %>
                <div class="vs-message-ok"><%= VisualSite.Utils.Localise("lblInstallConnectionWorking") %></div>
                <p><%= VisualSite.Utils.Localise("msgInstallContinueNextStep") %></p>
                <p><a href="?s=3" class="vs-button"><%= VisualSite.Utils.Localise("lblInstallNextStep") %></a></p>
            <% }
               else if (!String.IsNullOrEmpty(VisualSite.DAL.DataFile) && VisualSite.DAL.DataFile.EndsWith(".mdb") && !System.IO.File.Exists(VisualSite.DAL.DataFile)) 
               { %>
                <div class="vs-message"><%= VisualSite.Utils.Localise("lblInstallConnectionGenerateDB") %></div>
                <%= VisualSite.Utils.Localise("msgInstallConnectionGenerateDatabase")%>
                <div style="margin: 0px 10px">
                <div class="vs-two-column-wrap">
                <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblDatabase") %></div>
                <div class="vs-two-column-right"><img src="../Admin/Styles/Images/iconDBSmall.gif" width="16" /> <%= VisualSite.DAL.DataFile.Replace(Request.PhysicalApplicationPath, "\\") %></div>
                </div>
                <div class="vs-two-column-wrap">
                <div class="vs-two-column-left vs-strong">IIS <%= VisualSite.Utils.Localise("lblUsername") %></div>
                <div class="vs-two-column-right"><%= CurrentUser %></div>
                </div>
                </div>
                <p class="vs-clear"><a href="?s=2" class="vs-button"><%= VisualSite.Utils.Localise("btnCheckAgain") %></a> <asp:LinkButton ID="generateDatabase" runat="server" CssClass="vs-button" Text="<%$ Localise : btnGenerateDatabase %>" OnClick="GenerateDatabase" /></p>
                <hr />
                <%= String.Format(VisualSite.Utils.Localise("msgInstallGenerateDatabaseUsingCredentials"), CurrentUser) %>
                <div style="margin: 0px 10px">
                <div class="vs-two-column-wrap">
                <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblDatabase") %></div>
                <div class="vs-two-column-right"><img src="../Admin/Styles/Images/iconDBSmall.gif" width="16" /> <%= VisualSite.DAL.DataFile.Replace(Request.PhysicalApplicationPath, "\\") %></div>
                </div>
                <div class="vs-two-column-wrap">
                <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblUsername") %></div>
                <div class="vs-two-column-right"><asp:TextBox ID="txtWinUsername" runat="server" CssClass="vs-big-input vs-yellowback" Text="" /><br /><%= VisualSite.Utils.Localise("msgInstallWinUsername") %></div>
                </div>
                <div class="vs-two-column-wrap">
                <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblPassword") %></div>
                <div class="vs-two-column-right"><asp:TextBox ID="txtWinPassword" runat="server" TextMode="Password" CssClass="vs-big-input vs-yellowback" Text="" /><br /><%= VisualSite.Utils.Localise("msgInstallWinPassword") %></div>
                </div>
                </div>
                <p class="vs-clear"><asp:LinkButton ID="btnGenerateDatabaseUsingCredentials" runat="server" CssClass="vs-button" Text="<%$ Localise : btnGenerateDatabaseUsingCredentials %>" OnClick="GenerateDatabaseUsingCredentials" /></p>
            <% } else { %>
                <div class="vs-message-error"><%= VisualSite.Utils.Localise("lblInstallConnectionError") %></div>
                <% if (!String.IsNullOrEmpty(VisualSite.DAL.DataFile) && VisualSite.DAL.DataFile.EndsWith(".mdb")) {%>
                    <% if (System.IO.File.Exists(VisualSite.DAL.DataFile)) { %>
                        <%-- Error: Data File Specified in Web.Config but server cannot connect to it --%>
                        <p><%= VisualSite.Utils.Localise("msgInstallConnectionError3") %></p>
                        <div class="vs-two-column-wrap" style="margin-left:10px">
                        <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblDatabase") %></div>
                        <div class="vs-two-column-right"><img src="../Admin/Styles/Images/iconDBSmall.gif" width="16" /> <%= VisualSite.DAL.DataFile.Replace(Request.PhysicalApplicationPath, "\\") %></div>
                        </div>
                    <% } else { %>
                        <%-- Error: Some other unknown error --%>
                        <%= String.Format(VisualSite.Utils.Localise("msgInstallConnectionError2"), VisualSite.DAL.DataFile, CurrentUser)%>
                    <% } %>
                    <p class="vs-clear"><a href="?s=2" class="vs-button"><%= VisualSite.Utils.Localise("btnCheckAgain") %></a></p>
                <% } else { %>
                    <%-- Error: Web.Config configured incorrectly --%>
                    <%= VisualSite.Utils.Localise("msgInstallConnectionError1") %>
                    <p><a href="?s=2" class="vs-button"><%= VisualSite.Utils.Localise("btnCheckAgain") %></a></p>
                <% } %>
            <% } %>
            <% break; 
               case 3:%>
            <%-- STEP 3 START --%>
            <% if (VisualSite.DAL.CheckWrite(true))
               { %>
                <div class="vs-message-ok"><%= VisualSite.Utils.Localise("msgInstallDBWriteOk")%></div>
                <p><%= VisualSite.Utils.Localise("msgInstallContinueNextStep") %></p>
                <p><a href="?s=4" class="vs-button"><%= VisualSite.Utils.Localise("lblInstallNextStep") %></a></p>
            <% }
               else
               { %>
                <div class="vs-message-error"><%= VisualSite.Utils.Localise("msgInstallDBWriteError")%></div>
                <%= VisualSite.Utils.Localise("msgInstallDBError1")%>
                <p><img src="db-permission-1.gif" /></p>
                <%= String.Format(VisualSite.Utils.Localise("msgInstallDBError2"), VisualSite.DAL.DataFile, CurrentUser)%>
                <p><img src="db-permission-2.gif" /></p>
                <%= String.Format(VisualSite.Utils.Localise("msgInstallDBError3"), CurrentUser)%>
                <p><a href="?s=3" class="vs-button"><%= VisualSite.Utils.Localise("btnCheckAgain") %></a></p>
            <% } %>
            <% break; 
               case 4:%>
            <%-- STEP 4 START --%>
            <% if (DataOk)
               { %>
            <div class="vs-message-ok"><%= VisualSite.Utils.Localise("msgInstallDataOk") %></div>
            <p><%= VisualSite.Utils.Localise("msgInstallContinueNextStep") %></p>
            <p><a href="?s=5" class="vs-button"><%= VisualSite.Utils.Localise("lblInstallNextStep") %></a></p>
            <% }
               else
               { %>
            <div class="vs-message-error"><%= VisualSite.Utils.Localise("msgInstallDataError")%></div>
            <% } %>
            <p><b>Database Version:</b> <%= DBVersion %> (correct version <%= VisualSite.Constants.APP_VERSION %>)</p>
            <p><b>Language:</b> <%= Language %></p>
            <p><b>Pages:</b> <%= Pages %></p>
            <p><b>Users:</b> <%= Users %></p>
            <p><a href="?s=4" class="vs-button"><%= VisualSite.Utils.Localise("btnCheckAgain") %></a></p>
            <p><hr /></p>
            <p class="vs-strong"><%= VisualSite.Utils.Localise("lblRecreateDatabase") %></p>
            <p><%= VisualSite.Utils.Localise("msgInstallRecreateDatabase") %></p>
            <div style="margin: 0px 10px">
            <div class="vs-two-column-wrap">
            <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblSiteTitle") %></div>
            <div class="vs-two-column-right"><asp:TextBox ID="txtSiteName" runat="server" CssClass="vs-big-input vs-yellowback" Text="My Site" /><br /><%= VisualSite.Utils.Localise("msgSiteTitle") %></div>
            </div>
            <div class="vs-two-column-wrap">
            <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblVSUsername") %></div>
            <div class="vs-two-column-right"><asp:TextBox ID="txtUsername" runat="server" CssClass="vs-big-input vs-yellowback" Text="Admin" /><br /><%= VisualSite.Utils.Localise("msgInstallVSUsername") %></div>
            </div>
            <div class="vs-two-column-wrap">
            <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblVSPassword") %></div>
            <div class="vs-two-column-right"><asp:TextBox ID="txtPassword" runat="server" CssClass="vs-big-input vs-yellowback" Text="Password" /><br /><%= VisualSite.Utils.Localise("msgInstallVSPassword") %></div>
            </div>
            </div>
            <p class="vs-clear"><asp:LinkButton ID="refreshDatabase" runat="server" CssClass="vs-button" OnClick="RefreshDatabase" Text="<%$ Localise : btnDeleteRecreateData %>" OnClientClick="return confirm(msgConfirmRefreshDatabase.title);" /></p>
            <span id="msgConfirmRefreshDatabase" title="<%= VisualSite.Utils.Localise("msgConfirmRefreshDatabase") %>" style="display:none"></span> 
            <% break; 
               case 5:%>
            <%-- STEP 5 START --%>
            <% if (FileWriteOk) { %>
            <div class="vs-message-ok"><%= VisualSite.Utils.Localise("msgInstallFileWriteOk") %></div>
            <p><%= VisualSite.Utils.Localise("msgInstallContinueNextStep") %></p>
            <p><a href="?s=6" class="vs-button"><%= VisualSite.Utils.Localise("lblInstallNextStep") %></a></p>
            <% if (Images > 0)
               { %>
                <%= String.Format(VisualSite.Utils.Localise("msgInstallFileDelete"), Images) %>
                <p><asp:LinkButton ID="deleteFiles" runat="server" CssClass="vs-button" OnClick="DeleteFiles" Text="<%$ Localise : btnDeleteOldImages %>" OnClientClick="return confirm(msgConfirmDeleteAllFiles.title);" /></p>
                <span id="msgConfirmDeleteAllFiles" title="<%= VisualSite.Utils.Localise("msgConfirmDeleteAllFiles") %>" style="display:none"></span> 
            <% } %>
            <% }
               else
               { %>
            <div class="vs-message-error"><%= VisualSite.Utils.Localise("msgInstallFileWriteError")%></div>
            <%= VisualSite.Utils.Localise("msgInstallFileWrite1")%>
            <div style="margin: 0px 10px">
            <div class="vs-two-column-wrap">
            <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblImageFolder") %></div>
            <div class="vs-two-column-right"><img src="../Admin/Styles/Images/iconFolder.gif" width="16" /> <%= Page.ResolveUrl(VisualSite.Constants.FILE_FOLDER) %></div>
            </div>
            <div class="vs-two-column-wrap">
            <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblUsername") %></div>
            <div class="vs-two-column-right"><asp:TextBox ID="txtWinUsername2" runat="server" CssClass="vs-big-input vs-yellowback" Text="" /><br /><%= VisualSite.Utils.Localise("msgInstallWinUsername")%></div>
            </div>
            <div class="vs-two-column-wrap">
            <div class="vs-two-column-left vs-strong"><%= VisualSite.Utils.Localise("lblPassword") %></div>
            <div class="vs-two-column-right"><asp:TextBox ID="txtWinPassword2" runat="server" TextMode="Password" CssClass="vs-big-input vs-yellowback" Text="" /><br /><%= VisualSite.Utils.Localise("msgInstallWinPassword") %></div>
            </div>
            </div>
            <p class="vs-clear"><asp:LinkButton ID="btnFixFilePermissions" runat="server" CssClass="vs-button" Text="<%$ Localise : btnFixFilePermissionsUsingCredentials %>" OnClick="FixFilePermissionsUsingCredentials" /></p>
            <hr />
            <%= String.Format(VisualSite.Utils.Localise("msgInstallFileWrite2"), Server.MapPath(VisualSite.Constants.FILE_FOLDER), CurrentUser)%>
            <p><img src="file-permission-1.gif" /></p>
            <%= String.Format(VisualSite.Utils.Localise("msgInstallFileWrite3"), CurrentUser)%>
            <p><a href="?s=5" class="vs-button"><%= VisualSite.Utils.Localise("btnCheckAgain") %></a></p>
            <% } %>
            <% break; 
               case 6:%>
            <%-- STEP 6 START --%>
            <div class="vs-message-ok"><%= VisualSite.Utils.Localise("msgInstallAllDone") %></div>
            <%= VisualSite.Utils.Localise("msgInstallRememberFolder")%>
            <p><a href="../" class="vs-button"><%= VisualSite.Utils.Localise("btnDoneStartNow") %></a></p>
        <%     break;
               default:
                   break;
           } %>
        </div>
        <div class="vs-clear"></div>
    </div>
    </form>
</body>
</html>
