﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VisualSite;

public partial class Preview : System.Web.UI.Page
{
    protected void Page_PreInit(object sender, EventArgs e)
    {
        // Find Global Template
        if (Utils.TemplateFile != String.Empty)
            Page.MasterPageFile = Utils.TemplateFile;
        // Template Preview Overrides Normal Settings
        if (Utils.IsUserAuthenticated)
            if (!String.IsNullOrEmpty(Request.QueryString["TemplateFile"]))
            {
                try
                {
                    string templateFile = Server.MapPath(Request.QueryString["TemplateFile"]);
                    if (File.Exists(templateFile) && templateFile.EndsWith(".master"))
                        Page.MasterPageFile = Request.QueryString["TemplateFile"];
                }
                catch { }
            }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        // Is user viewing a page?
        if (Utils.PageID > -1)
        {
            // If page is not valid then redirect to home
            if (!Utils.PageCatalog.ContainsKey(Utils.PageID))
                Utils.GoHome();
            else
                // Otherwise check the catalog for a page redirect
                if (!String.IsNullOrEmpty(Utils.PageCatalog[Utils.PageID].RedirectUrl))
                    // Check for redirect loops
                    if (ResolveUrl(Utils.PageCatalog[Utils.PageID].RedirectUrl) != Request.Path)
                        Response.Redirect(Utils.PageCatalog[Utils.PageID].RedirectUrl, true);
        }
        else
            // PageID is negative.. 
            // its a new page so if user is not logged in then boot them out
            if (!Utils.IsUserAuthenticated) Utils.GoHome();
    }
}
